:name: mean
:description: averaging on the specific dimensions
:nvars: 1
:script: |
  [gphys0.mean(*arg0)]

:setting_html: |
  <label for="analysis[function_arguments][0]">
    the dimensions for mean
  </label>
  <select id="analysis[function_arguments][0]" name="analysis[function_arguments][0][]" multiple>
  <%
  @analysis.dimensions.each{|dim|
    dname = dim[:name]
  %>
    <option <%=@analysis.function_arguments[0]==dname ? "selected" : ""%>><%=h(dname)%></option>
  <% } %>
  </select>

:arguments:
- :description: the dimension for mean
  :value_type: array_string
  :default: []
  :position: 0
:outputs:
- :name: mean
  :subscript: mean
  :description: mean
